From 971906a595876549c0a2e3ecefa38aac6efaf487 Mon Sep 17 00:00:00 2001
From: Maximilian Downey Twiss <creatorsmithmdt@gmail.com>
Date: Thu, 24 Nov 2022 19:09:27 +1100
Subject: [PATCH 48/56] classpath: Rename documentation files from .texinfo to
 .texi.

libjava/classpath/ChangeLog:

	* doc/Makefile.am: Rename documentation files from .texinfo to .texi.
	* doc/cp-hacking.texinfo: Moved to...
	* doc/cp-hacking.texi: ...here.
	* doc/cp-tools.texinfo: Moved to...
	* doc/cp-tools.texi: ...here.
	* doc/cp-vmintegration.texinfo: Moved to...
	* doc/cp-vmintegration.texi: ...here.
---
 libjava/classpath/doc/Makefile.am             | 32 +++++++++----------
 .../{cp-hacking.texinfo => cp-hacking.texi}   |  0
 .../doc/{cp-tools.texinfo => cp-tools.texi}   |  0
 ...egration.texinfo => cp-vmintegration.texi} |  0
 4 files changed, 16 insertions(+), 16 deletions(-)
 rename libjava/classpath/doc/{cp-hacking.texinfo => cp-hacking.texi} (100%)
 rename libjava/classpath/doc/{cp-tools.texinfo => cp-tools.texi} (100%)
 rename libjava/classpath/doc/{cp-vmintegration.texinfo => cp-vmintegration.texi} (100%)

diff --git a/libjava/classpath/doc/Makefile.am b/libjava/classpath/doc/Makefile.am
index 27a378d07be..27ea7c00a95 100644
--- a/libjava/classpath/doc/Makefile.am
+++ b/libjava/classpath/doc/Makefile.am
@@ -3,12 +3,12 @@ SUBDIRS = api
 EXTRA_DIST = README.jaxp texi2pod.pl $(man_MANS)
 
 ## GCJ LOCAL: we don't want to install all of Classpath's info files.
-## info_TEXINFOS = cp-hacking.texinfo cp-vmintegration.texinfo cp-tools.texinfo
+## info_TEXINFOS = cp-hacking.texi cp-vmintegration.texi cp-tools.texi
 TEXINFO_TEX = ../../gcc/doc/include/texinfo.tex
-info_TEXINFOS = cp-tools.texinfo
+info_TEXINFOS = cp-tools.texi
 
 # POSIX locale necessary to make grep work; see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=586134
-.texinfo.dvi:
+.texi.dvi:
 	LC_ALL=POSIX texi2dvi --build-dir=$(builddir) -o $@ $<
 
 .dvi.ps:
@@ -46,47 +46,47 @@ STAMP = echo timestamp >
 	gkeytool.pod gnative2ascii.pod gorbd.pod grmid.pod grmiregistry.pod \
 	gserialver.pod gtnameserv.pod gcjh.pod gjdoc.pod
 
-gappletviewer.pod: $(srcdir)/cp-tools.texinfo
+gappletviewer.pod: $(srcdir)/cp-tools.texi
 	-$(TEXI2POD) -D gappletviewer < $< > $@
 
-gjarsigner.pod: $(srcdir)/cp-tools.texinfo
+gjarsigner.pod: $(srcdir)/cp-tools.texi
 	-$(TEXI2POD) -D gjarsigner < $< > $@
 
-gjar.pod: $(srcdir)/cp-tools.texinfo
+gjar.pod: $(srcdir)/cp-tools.texi
 	-$(TEXI2POD) -D gjar < $< > $@
 
-gcjh.pod: $(srcdir)/cp-tools.texinfo
+gcjh.pod: $(srcdir)/cp-tools.texi
 	-$(TEXI2POD) -D gcjh < $< > $@
 
-gjavah.pod: $(srcdir)/cp-tools.texinfo
+gjavah.pod: $(srcdir)/cp-tools.texi
 	-$(TEXI2POD) -D gjavah < $< > $@
 
 # hack around the cross references and the enumeration
-gkeytool.pod: $(srcdir)/cp-tools.texinfo
+gkeytool.pod: $(srcdir)/cp-tools.texi
 	-$(TEXI2POD) -D gkeytool < $< \
 	  | sed -e 's/^For more details.*/See I<Common Options> for more details./' \
 	    -e 's/1\.<\([^>]*\)>/- \1/' \
 		> $@
 
-gnative2ascii.pod: $(srcdir)/cp-tools.texinfo
+gnative2ascii.pod: $(srcdir)/cp-tools.texi
 	-$(TEXI2POD) -D gnative2ascii < $< > $@
 
-gorbd.pod: $(srcdir)/cp-tools.texinfo
+gorbd.pod: $(srcdir)/cp-tools.texi
 	-$(TEXI2POD) -D gorbd < $< > $@
 
-grmid.pod: $(srcdir)/cp-tools.texinfo
+grmid.pod: $(srcdir)/cp-tools.texi
 	-$(TEXI2POD) -D grmid < $< > $@
 
-grmiregistry.pod: $(srcdir)/cp-tools.texinfo
+grmiregistry.pod: $(srcdir)/cp-tools.texi
 	-$(TEXI2POD) -D grmiregistry < $< > $@
 
-gserialver.pod: $(srcdir)/cp-tools.texinfo
+gserialver.pod: $(srcdir)/cp-tools.texi
 	-$(TEXI2POD) -D gserialver < $< > $@
 
-gtnameserv.pod: $(srcdir)/cp-tools.texinfo
+gtnameserv.pod: $(srcdir)/cp-tools.texi
 	-$(TEXI2POD) -D gtnameserv < $< > $@
 
-gjdoc.pod: $(srcdir)/cp-tools.texinfo
+gjdoc.pod: $(srcdir)/cp-tools.texi
 	-$(TEXI2POD) -D gjdoc < $< > $@
 
 # GCJ LOCAL CHANGE
diff --git a/libjava/classpath/doc/cp-hacking.texinfo b/libjava/classpath/doc/cp-hacking.texi
similarity index 100%
rename from libjava/classpath/doc/cp-hacking.texinfo
rename to libjava/classpath/doc/cp-hacking.texi
diff --git a/libjava/classpath/doc/cp-tools.texinfo b/libjava/classpath/doc/cp-tools.texi
similarity index 100%
rename from libjava/classpath/doc/cp-tools.texinfo
rename to libjava/classpath/doc/cp-tools.texi
diff --git a/libjava/classpath/doc/cp-vmintegration.texinfo b/libjava/classpath/doc/cp-vmintegration.texi
similarity index 100%
rename from libjava/classpath/doc/cp-vmintegration.texinfo
rename to libjava/classpath/doc/cp-vmintegration.texi
-- 
2.38.1

